#/*==========================================================================*
# *    Copyright(c) 2021, Vertiv Tech Co., Ltd.
# *                     ALL RIGHTS RESERVED
# *
# *  PRODUCT  : ACU(Advanced Controller Unit)
# *
# *  FILENAME : Makefile
# *  CREATOR  : HULONGWEN                DATE: 2004-09-20 20:39
# *  VERSION  : V1.00
# *  PURPOSE  : The make file for the data exchange module.
# *
# *  HISTORY  :
# *
# *==========================================================================*/

include $(ACU_SOURCE_DIR)/config_vars.mk

#the target output file
EXEC = data_exchange.so

#the head files the object files depend on
INCS = system_net_info.h

#the object files to generate the target
OBJS = system_net_info.o data_exchange.o \
$(ACU_SOURCE_DIR)/lib/publib/pubfunc.o $(ACU_SOURCE_DIR)/lib/publib/new.o \
$(ACU_SOURCE_DIR)/lib/applog/applog.o $(ACU_SOURCE_DIR)/lib/publib/run_thread.o \
$(ACU_SOURCE_DIR)/lib/publib/run_mutex.o $(ACU_SOURCE_DIR)/lib/publib/run_queue.o \


#for self test
TEST_EXEC = test_data_exchange
TEST_OBJS = test_data_exchange.o
TEST_LIBS = $(EXEC) -lpthread #and other required libs

#private shared libraries
LIBS =

all: $(EXEC)

$(EXEC): $(OBJS) $(INCS) $(PUBINCS)
	$(CC) -shared -fPIC $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
	
install: $(EXEC)
	-cp $(EXEC) $(ACU_TARGET_DIR)/lib/
	
$(TEST_EXEC): $(EXEC) $(TEST_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(TEST_OBJS) $(TEST_LIBS)
	
test: $(TEST_EXEC)
	-echo Test making ...

clean:
	-rm -f $(EXEC) *.gdb *.elf *.o $(OBJS) core $(TEST_EXEC)
	-rm -f make_*.txt *.map
	